Bug 900786 (JBPAPP6-1449) - Add a redirect-port from socket-binding to the web connector config
Summary: Add a redirect-port from socket-binding to the web connector config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JBPAPP6-1449
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: EAP 6.3.0
Assignee: Emmanuel Hugonnet (ehsavoie)
QA Contact: Radim Hatlapatka
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-09 15:18 UTC by Coty Sutherland
Modified: 2018-12-03 18:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
In releases of JBoss EAP prior to 6.3 socket-binding could not be used to define the redirect-port. That ability has been added in this release of the product and users can now use the new attribute redirect-binding of the connector element to define the redirect port instead of using the redirect-port attribute. This new attribute takes a socket binding name as value.
Clone Of:
Environment:
EAP 6
Last Closed: 2014-06-28 15:39:37 UTC
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker AS7-4295 Major Resolved Add a redirect-socket configuration to the web connector config 2017-02-21 15:22:14 UTC
Red Hat Bugzilla 1089361 None None None Never
JBoss Issue Tracker JBPAPP6-1449 Major Closed Add a redirect-port from socket-binding to the web connector config 2017-02-21 15:22:14 UTC
JBoss Issue Tracker WFLY-3081 Major Resolved Redirect Forward port web subsystem1.6 xsd and parser from EAP 6.3 2017-02-21 15:22:14 UTC

Internal Links: 1089361

Description Coty Sutherland 2012-08-09 15:18:36 UTC
Help Desk Ticket Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A000000Asegn
project_key: JBPAPP6

Support configuring a connector on the http socket and then redirect to the https socket without having to specify the actual port number outside of the socket-binding-group.

The referenced forum thread has an example that uses "redirect-port" for this, but a new attribute would be needed, since changing the meaning of "redirect-port" would be incompatible.

Comment 1 Coty Sutherland 2012-08-09 15:19:23 UTC
Link: Added: This issue relates to AS7-4295


Comment 2 Coty Sutherland 2012-08-09 15:19:24 UTC
Linked is the bug logged for AS7, this one is to track this issue being reported by a customer in EAP 6.

Comment 3 Anne-Louise Tangring 2012-11-13 20:58:01 UTC
Docs QE Status: Removed: NEW 


Comment 5 Osamu Nagano 2013-11-08 06:02:07 UTC
Property substitution like 'redirect-port="${jb.redirect.port:8180}"' can be a workaround but of course unifying in socket-binding is smarter.

Comment 6 Emmanuel Hugonnet (ehsavoie) 2014-03-07 11:50:55 UTC
PR: https://github.com/jbossas/jboss-eap/pull/1028
Upstream : https://github.com/wildfly/wildfly/pull/6011

Comment 9 Radim Hatlapatka 2014-04-18 13:56:22 UTC
Verified with EAP 6.3.0.ER1.

I have verified that using redirect-binding attribute of the connector, I am able to define the redirection using socket binding and that redirect-port can still be used for directly defining redirect port using a port number.

This functionality needs to be documented, I have created BZ#1089361 for it.


Note You need to log in before you can comment on or make changes to this bug.